/**
 *   nmr-common-jbi-runtime.jar - Set of classes used in building JBI Components
 *
 *   Copyright (C) 2007 Gestalt, LLC. All Rights Reserved.
 *   http://www.gestalt-llc.com
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License version 2.1 as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
 */
package com.gestalt.jbi.nmr;


/**
 * Typed exception to be thrown when no schema namespace exists when adding a
 * complex xml type to the jbi:part element of the jbi:message element.
 *
 * <p>This exception will be thrown by the {@link NmrWrapperUtils} when
 * adding a complex xml type to the normalized message.</p>
 *
 * @author      tchase
 * @version     1.0 09/17/2007
 */
public class NmrMissingSchemaNamespaceException
    extends Exception {
    /**
     * Constructs a <code>NmrMissingSchemaNamespaceException</code> with
     * <code>null</code> as its error detail message.
     */
    public NmrMissingSchemaNamespaceException() {
        super();
    }

    /**
     * Constructs a <code>NmrMissingSchemaNamespaceException</code> with the
     * specified detail message. The string <code>message</code> can be
     * retrieved later by the
     * <code>{@link java.lang.Throwable#getMessage}</code>
     * method of class <code>java.lang.Throwable</code>.
     *
     * @param   message   the detail message.
     */
    public NmrMissingSchemaNamespaceException(String message) {
        super(message);
    }
}
